package com.nisum.webfluxreactivemongodb.entity;

import lombok.*;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Setter
@Getter
@Document(value = "products")
public class Product {
    @Id
    private int id;
    private String name;
    private int quantity;
    private double price;
}
