package com.nisum.webfluxreactivemongodb.service;

import com.nisum.webfluxreactivemongodb.controller.ProductController;
import com.nisum.webfluxreactivemongodb.dto.ProductDto;
import com.nisum.webfluxreactivemongodb.repository.ProductRepository;
import org.junit.jupiter.api.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.autoconfigure.web.reactive.WebFluxTest;
import org.springframework.boot.test.mock.mockito.MockBean;
import org.springframework.test.context.junit4.SpringRunner;
import reactor.core.publisher.Flux;
import reactor.test.StepVerifier;

import static org.junit.jupiter.api.Assertions.assertEquals;
import static org.mockito.Mockito.when;

@RunWith(SpringRunner.class)
@WebFluxTest({ ProductService.class,ProductRepository.class })
public class ProductServiceTest {

    @MockBean
    ProductRepository productRepository;

    @Autowired
    ProductService productService;
@Test
    void getProductsTest(){

//
    StepVerifier.create(productService.findByAll)
            .expectSubscription()
            .expectNext()
            .verifyComplete();

    }




}
